<!DOCTYPE html>
<html lang="en" data-layout-decorate="~{layouts/default-list-layout}">

  <head id="head">
    <title data-th-text="#{label_list_entity(#{label_booking_plural})}">
    List Booking - poc_roo_2_0 - SpringRoo Application</title>

  </head>

  <body id="body">

    <header role="banner">
      <!-- Content replaced by layout of the page displayed -->
    </header>

    <!--CONTAINER-->
    <div class="container bg-container">
      <!-- CONTENT -->
      <!--
        Only the inner content of the following tag "section" is included
        within the template, in the section "content"
      -->
      <section data-layout-fragment="content">
        <div class="container-fluid content">

          <h1 data-th-text="#{label_booking_plural}">Bookings</h1>

          <!--TABLE-->
          <div class="table-responsive" id="containerFields" data-th-with="collectionLink=${@linkBuilder.of('BookingsCollectionThymeleafController')},itemLink=${@linkBuilder.of('BookingsItemThymeleafController')}">
              <table id="booking-entity-table" style="width: 99.7%" class="table table-striped table-hover table-bordered" data-datatables="true" data-row-id="id" data-select="single" data-z="a742bf8d" data-order="[[ 1, &quot;asc&quot; ]]" data-data-load-url="${collectionLink.to('datatables')}" data-data-show-url="${itemLink.to('show').with('booking', '_ID_')}" data-data-export-csv-url="${collectionLink.to('exportCsv')}" data-data-export-xls-url="${collectionLink.to('exportXls')}" data-data-export-pdf-url="${collectionLink.to('exportPdf')}" data-data-create-url="${collectionLink.to('createForm')}" data-data-edit-url="${itemLink.to('editForm').with('booking', '_ID_')}" data-data-delete-url="${itemLink.to('delete').with('booking', '_ID_')}" data-data-delete-batch-url="${collectionLink.to('deleteBatch').with('ids', '_ID_')}">
                <caption class="sr-only" data-th-text="#{label_list_entity(#{label_booking_plural})}">Booking List</caption>
                <thead>
                  <tr>
                    <th data-data="id" data-checkboxes="true"></th>
                    <th data-data="description" data-th-text="#{label_booking_description}">description</th>
                    <th data-data="priceCancelled" data-th-text="#{label_booking_pricecancelled}">priceCancelled</th>
                    <th data-data="id" data-orderable="false" data-searchable="false" class="dttools" data-th-text="#{label_tools}">Tools</th>
                  </tr>
                </thead>
                <tbody data-th-remove="all">
                  <tr>
                    <td></td>
                    <td>description</td>
                    <td>priceCancelled</td>
                    <td data-th-text="#{label_tools}">Tools</td>
                  </tr>
                </tbody>
              </table>
                <!-- content replaced by modal-confirm fragment of modal-confirm.html -->
                <div data-th-replace="~{fragments/modal-confirm-delete :: modalConfirmDelete(tableId='booking-entity-table',
                    title=#{label_delete_entity(#{label_booking_plural})}, message=#{info_delete_item_confirm})}">
                </div>
                <div data-th-replace="~{fragments/modal-confirm-delete-batch :: modalConfirmDeleteBatch(tableId='booking-entity-table',
                    title=#{label_delete_entity(#{label_booking_plural})}, message=#{info_delete_batch_confirm})}">
                </div>
              <div data-th-replace="~{fragments/modal-export-empty-error :: modalExportEmptyError(tableId='booking-entity-table',
                  title=#{label_export_empty_error(#{label_booking_plural})}, message=#{info_export_empty_error})}">
              </div>
          </div>
          <!-- /TABLE -->

          <!-- details -->
        <hr>
        <div id="details-level-1">
            <ul class="nav nav-tabs" id="nav-tabs">
                <li class="active">
                  <a id="bookinglines-detail-table-tab" data-toggle="tab" href="#detail-bookinglines-detail" data-z="aee8e8b6">Bookinglines</a>
                </li>
            </ul>

            <div class="tab-content" id="tab-content">
              <div id="detail-bookinglines-detail" class="tab-pane active">
                <!--START DETAIL TABLE-->
                <div class="table-responsive" data-th-with="detailCollectionLink=${@linkBuilder.of('BookingsItemBookinglinesThymeleafController')},detailItemLink=${@linkBuilder.of('BookingLinesItemThymeleafController')}">
                    <table id="bookinglines-detail-table" style="width: 99.7%" class="table table-striped table-hover table-bordered" data-datatables="true" data-parent-table="booking-entity-table" data-row-id="id" data-z="aee8e8b6" data-order="[[ 1, &quot;asc&quot; ]]" data-data-load-url="${detailCollectionLink.to('datatables').with('booking', '_PARENTID_')}" data-data-show-url="${detailItemLink.to('show').with('bookingLine', '_ID_')}" data-data-create-url="${detailCollectionLink.to('createForm').with('booking', '_PARENTID_')}" data-data-edit-url="${detailItemLink.to('editForm').with('bookingLine', '_ID_')}" data-data-delete-url="${detailCollectionLink.to('removeFromBookinglines').with('booking', '_PARENTID_').with('bookinglinesToRemove', '_ID_')}" data-data-delete-batch-url="${detailCollectionLink.to('removeFromBookinglinesBatch').with('booking', '_PARENTID_').with('bookinglinesToRemove', '_ID_')}">
                      <caption class="sr-only" data-th-text="#{label_list_of_entity(#{label_booking_bookinglines})}">Bookinglines List</caption>
                      <thead>
                        <tr>
                          <th data-data="id" data-checkboxes="true"></th>
                              <th data-data="description" data-th-text="#{label_booking_bookinglines_description}">description</th>
                              <th data-data="cancelled" data-th-text="#{label_booking_bookinglines_cancelled}">cancelled</th>
                              <th data-data="fromDate" data-th-text="#{label_booking_bookinglines_fromdate}">fromDate</th>
                              <th data-data="toDate" data-th-text="#{label_booking_bookinglines_todate}">toDate</th>
                              <th data-data="priceCost" data-th-text="#{label_booking_bookinglines_pricecost}">priceCost</th>
                              <th data-data="id" data-orderable="false" data-searchable="false" class="dttools" data-th-text="#{label_tools}">Tools</th>
                        </tr>
                      </thead>
                      <tbody data-th-remove="all">
                        <tr>
                              <td>description</td>
                              <td>cancelled</td>
                              <td>fromDate</td>
                              <td>toDate</td>
                              <td>priceCost</td>
                          <td data-th-text="#{label_tools}">Tools</td>
                        </tr>
                      </tbody>
                    </table>
                    <!-- content replaced by modal-confirm fragment of modal-confirm.html -->
                    <div data-th-replace="~{fragments/modal-confirm-delete :: modalConfirmDelete(tableId='bookinglines-detail-table',
                        title=#{label_delete_entity(#{label_booking_bookinglines})}, message=#{info_delete_item_confirm})}">
                    </div>
                   <div data-th-replace="~{fragments/modal-confirm-delete-batch :: modalConfirmDeleteBatch(tableId='bookinglines-detail-table',
                        title=#{label_delete_entity(#{label_booking_bookinglines})}, message=#{info_delete_batch_confirm})}">
                    </div>
                    <div data-th-replace="~{fragments/modal-export-empty-error :: modalExportEmptyError(tableId='bookinglines-detail-table',
                        title=#{label_export_empty_error(#{label_booking_bookinglines})}, message=#{info_export_empty_error})}">
                    </div>
                </div> <!--/table-responsive">
                <!--END TABLE-->
              </div> <!--/tab-pane -->
            </div> <!--/tab-content-->
        </div>

          <div class="clearfix">
            <div class="pull-left">
              <a href="../index.html" class="btn btn-default" data-th-href="@{/}">
                 <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                 <span data-th-text="#{label_back}">Back</span>
              </a>
            </div>
          </div>

        </hr></div>

      </section>
      <!-- /CONTENT -->
    </div>
    <!-- /CONTAINER -->

    <footer class="container">
      <!-- Content replaced by layout of the page displayed -->
    </footer>

    <!-- JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so that the pages load faster -->
    <!-- JavaScript loaded by layout of the page displayed -->
    <!--
         Only the inner content of the following tag "javascript" is included
         within the template, in the div "javascript"
        -->
    <div data-layout-fragment="javascript">
    </div>

  </body>

</html>
